Skip to main content
POST
Get Review Responses

Headers

Accept
string
default:application/json

e.g. application/json

x-api-key
string

e.g. [Required] Partner specific API key provided by Birdeye for data exchange.

x-business-number
string

e.g. [Required] User-associated business number.

Content-Type
string
default:application/json

Media type of the JSON request body.

Query Parameters

sindex
integer
required

Start index of the reviews. Refer API note for max permissible value.

count
integer
required

Number of reviews to query. Refer API note for max permissible value.

includeNonAggregatedReviews
boolean

Include Reviews whose auto-crawling is blocked e.g. PressGaney

Body

application/json
fromTimestamp
number

Review start date in milliseconds, pass either fromDate or fromTimestamp.

toTimestamp
number

Review end date in milliseconds, pass either endDate or toTimestamp.

sources
string

Aggregation source name Note: use "our_website" to filter reviews posted on Birdeye platform or use "direct_feedback" for direct feedback.

ratings
integer[]

Review rating Possible values 0,1,2,3,4,5.

searchStr
string

String that is contained by review.

subBusinessIds
integer[]

BusinessIds under enterprise account.

statuses
string[]

Review status filter. Valid values are "published", "parked", and "all". If omitted, default is "published" only (featured reviews). "published" refers to featured reviews and "parked" refers to non-featured reviews.

allChild
boolean

Get review from all child ignoring merge reviews flag configured at parent/child relationship level.

tags
string[]

Reviews with assigned tags

messageOptions
object

Filter reviews by their response message options.

Response

OK

reviewId
string

Id of the review.

response
string

Review response text.

responseDate
number

Response date, as an epoch timestamp in milliseconds.